Using Data Defined Assistant on symbol size property set the symbol invisible in the layer properties 

dialog

2017-08-24 05:15 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.4.3 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24960

Description

Take a point layer --> Layer Properties --> Single symbol

Use the Assistant option of the data defined button near the size property to draw a proportional symbol

Back to the single symbol dialog, you'll notice that there is no symbol beside the "Marker" text at the top of the dialog.

Note that you do not have this issue if you just pick a field from the data-defined button nor if you copy paste the assistant expression in

the expression builder (though i'm not sure the behavior of the legend is then the right one).

Using the "old-way" DD assistant in 2.18 does work well.

Associated revisions

Revision 23dc1c8f - 2018-02-19 09:25 PM - Nyall Dawson

Use first feature in layer to generate symbol preview icon in widget

Uses the first feature found in a layer in order to create a better

preview for the symbol in the symbol selector dialog. This allows

data defined settings to be evaluated correctly (at least, for the

first feature) and avoids missing previews due to missing

attribute values when data defined settings are present.

Fixes #17061

History

#1 - 2018-02-19 08:01 AM - Nyall Dawson

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/6380

#2 - 2018-02-19 09:25 PM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
Applied in changeset commit:qgis|23dc1c8f696c541e5101e3c0aadbfc90819de04f.

#3 - 2018-02-21 06:59 PM - Giovanni Manghi

- Resolution set to fixed/implemented

#4 - 2018-02-27 05:58 PM - Harrissou Santanna

- Resolution deleted (fixed/implemented)

- Status changed from Closed to Reopened

- File DDproportionalv2.PNG added

Using commit:e1a344f725, this is still true. actually, the symbol is displayed in the right side of the dialog but nothing in the tree view nor the layers panel

(see DDproportionalv2 screenshot)

#5 - 2018-02-27 07:17 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.1(master)

#6 - 2018-12-28 12:22 PM - Paolo Cavallini

Could you please check again on current release?

Thanks.

#7 - 2018-12-28 02:49 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Paolo Cavallini wrote:

Could you please check again on current release?

Thanks.

Please change status to "feedback" when needed.

#8 - 2019-01-16 04:31 PM - Harrissou Santanna

- Subject changed from Using Data Defined Assistant on symbol size property set the symbol invisible to Using Data Defined Assistant on symbol size 

property set the symbol invisible in the layer properties dialog

- File unavailablePreview.png added

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.1(master) to 3.4.3

It's kind of still there: the symbol is now shown next to the topmost "marker" text but nothing is shown at the "Simple marker" level in the tree, nor as a

preview on the right. See the unavailablePreview.png attached file.

#9 - 2019-01-16 04:37 PM - Harrissou Santanna

Of course this does not happen if you use a field from the DD widget entry or copy-paste the expression used by the assistant. It's when the assistant is
checked that the issue arises afaict.

Files

DDproportional.PNG 17.9 KB 2017-08-24 Harrissou Santanna

DDproportionalv2.PNG 60.7 KB 2018-02-27 Harrissou Santanna

unavailablePreview.png 60.5 KB 2019-01-16 Harrissou Santanna

2025-06-14 3/3


